//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using CommunityServer.Components;

namespace CommunityServer.Galleries.Components {
	/// <summary>
	/// A feedback post ( comment or traceback ) on a Gallery post.
	/// </summary>
	public sealed class GalleryFeedbackItem {
		public GalleryFeedbackItem() {
		}

		public Int32 PostID {
			get {
				return _postID;
			}
			set {
				_postID = value;
			}
		}
		private Int32 _postID;

		public String PostAuthor {
			get {
				return _postAuthor;
			}
			set {
				_postAuthor = value;
			}
		}
		private String _postAuthor;

		public String Subject {
			get {
				return _subject;
			}
			set {
				_subject = value;
			}
		}
		private String _subject;

		public DateTime PostDate {
			get {
				return _postDate;
			}
			set {
				_postDate = value;
			}
		}
		private DateTime _postDate;

		public Boolean IsApproved {
			get {
				return _isApproved;
			}
			set {
				_isApproved = value;
			}
		}
		private Boolean _isApproved;

		public String TitleUrl {
			get {
				return _titleUrl;
			}
			set {
				_titleUrl = value;
			}
		}
		private String _titleUrl;

		public String Body {
			get {
				return _body;
			}
			set {
				_body = value;
			}
		}
		private String _body;

        public bool HasTitleUrl
        {
            get { return !Globals.IsNullorEmpty(TitleUrl);}
        }

        public GalleryPostType PostType
        {
            get {
                return _PostType;
            }
            set {
                _PostType = value;
            }
        }
        private GalleryPostType _PostType;

	}
}
